Subject: Re: [PATCH v2] net: sh-eth: Add flag to determine the type of TSU register

From: Sergei Shtylyov <[email-masked]>
Date: Wed, 05 Jun 2013 18:21:11 +0400

Hello.

On 04-06-2013 2:07, Sergei Shtylyov wrote:

>> Some sh-eth devices may have two ether devices inside.
>> And the function of TSU is accessed from each ether device.
>> In this case, sh-eth need to remap address using devm_ioremap(),
>> without using devm_ioremap_resource().
>> tsu_shared_reg of sh_eth_cpu_data is used for this control.

>> Signed-off-by: Nobuhiro Iwamatsu <[email-masked]>
> [...]

>> @@ -2750,7 +2754,12 @@ static int sh_eth_drv_probe(struct
>> platform_device *pdev)
>>               ret = -ENODEV;
>>               goto out_release;
>>           }

>      This patch is not good anymore since in the meanwhile the above
> check got removed.
> Iwamatsu-san, are you going to respin this patch and the next series of
> 9 patches any time
> soon. I need them to base my work on.

    So, I have taken the following series in my own hands and will 
repost it soon. Your authorship will be kept. And I've left this patch 
for you to deal with since I'm not directly interested in it.

WBR, Sergei